diff -r 1e4cc5e7112a gtk/ScintillaGTK.cxx
--- a/gtk/ScintillaGTK.cxx	Tue Jul 22 17:51:29 2014 +1000
+++ b/gtk/ScintillaGTK.cxx	Mon Jul 28 16:11:37 2014 +0200
@@ -2856,39 +2856,44 @@
 	return reinterpret_cast<ScintillaGTK *>(ptr)->WndProc(iMessage, wParam, lParam);
 }
 
-sptr_t scintilla_send_message(ScintillaObject *sci, unsigned int iMessage, uptr_t wParam, sptr_t lParam) {
+sptr_t scintilla_object_send_message(ScintillaObject *sci, unsigned int iMessage, uptr_t wParam, sptr_t lParam) {
 	ScintillaGTK *psci = reinterpret_cast<ScintillaGTK *>(sci->pscin);
 	return psci->WndProc(iMessage, wParam, lParam);
 }
 
-static void scintilla_class_init(ScintillaClass *klass);
-static void scintilla_init(ScintillaObject *sci);
+/* deprecated, for compatibility */
+sptr_t scintilla_send_message(ScintillaObject *sci, unsigned int iMessage, uptr_t wParam, sptr_t lParam) {
+
+	return scintilla_object_send_message(sci, iMessage, wParam, lParam);
+}
+
+static void scintilla_object_class_init(ScintillaObjectClass *klass);
+static void scintilla_object_init(ScintillaObject *sci);
 
 extern void Platform_Initialise();
 extern void Platform_Finalise();
 
-GType scintilla_get_type() {
+GType scintilla_object_get_type() {
 	static GType scintilla_type = 0;
 	try {
 
 		if (!scintilla_type) {
-			scintilla_type = g_type_from_name("Scintilla");
+			scintilla_type = g_type_from_name("ScintillaObject");
 			if (!scintilla_type) {
 				static GTypeInfo scintilla_info = {
-					(guint16) sizeof (ScintillaClass),
+					(guint16) sizeof (ScintillaObjectClass),
 					NULL, //(GBaseInitFunc)
 					NULL, //(GBaseFinalizeFunc)
-					(GClassInitFunc) scintilla_class_init,
+					(GClassInitFunc) scintilla_object_class_init,
 					NULL, //(GClassFinalizeFunc)
 					NULL, //gconstpointer data
 					(guint16) sizeof (ScintillaObject),
 					0, //n_preallocs
-					(GInstanceInitFunc) scintilla_init,
+					(GInstanceInitFunc) scintilla_object_init,
 					NULL //(GTypeValueTable*)
 				};
-
 				scintilla_type = g_type_register_static(
-				            GTK_TYPE_CONTAINER, "Scintilla", &scintilla_info, (GTypeFlags) 0);
+				            GTK_TYPE_CONTAINER, "ScintillaObject", &scintilla_info, (GTypeFlags) 0);
 			}
 		}
 
@@ -2897,6 +2902,12 @@
 	return scintilla_type;
 }
 
+/* deprecated, for compatibility */
+GType scintilla_get_type() {
+
+	return scintilla_object_get_type();
+}
+
 void ScintillaGTK::ClassInit(OBJECT_CLASS* object_class, GtkWidgetClass *widget_class, GtkContainerClass *container_class) {
 	Platform_Initialise();
 #ifdef SCI_LEXER
@@ -2955,7 +2966,7 @@
 #define SIG_MARSHAL scintilla_marshal_NONE__INT_POINTER
 #define MARSHAL_ARGUMENTS G_TYPE_INT, G_TYPE_POINTER
 
-static void scintilla_class_init(ScintillaClass *klass) {
+static void scintilla_object_class_init(ScintillaObjectClass *klass) {
 	try {
 		OBJECT_CLASS *object_class = (OBJECT_CLASS*) klass;
 		GtkWidgetClass *widget_class = (GtkWidgetClass*) klass;
@@ -2966,7 +2977,7 @@
 		            "command",
 		            G_TYPE_FROM_CLASS(object_class),
 		            sigflags,
-		            G_STRUCT_OFFSET(ScintillaClass, command),
+		            G_STRUCT_OFFSET(ScintillaObjectClass, command),
 		            NULL, //(GSignalAccumulator)
 		            NULL, //(gpointer)
 		            SIG_MARSHAL,
@@ -2977,7 +2988,7 @@
 		            SCINTILLA_NOTIFY,
 		            G_TYPE_FROM_CLASS(object_class),
 		            sigflags,
-		            G_STRUCT_OFFSET(ScintillaClass, notify),
+		            G_STRUCT_OFFSET(ScintillaObjectClass, notify),
 		            NULL,
 		            NULL,
 		            SIG_MARSHAL,
@@ -2992,7 +3003,7 @@
 	}
 }
 
-static void scintilla_init(ScintillaObject *sci) {
+static void scintilla_object_init(ScintillaObject *sci) {
 	try {
 #if GTK_CHECK_VERSION(2,20,0)
 		gtk_widget_set_can_focus(GTK_WIDGET(sci), TRUE);
@@ -3004,18 +3015,30 @@
 	}
 }
 
-GtkWidget* scintilla_new() {
+GtkWidget* scintilla_object_new() {
 	GtkWidget *widget = GTK_WIDGET(g_object_new(scintilla_get_type(), NULL));
 	gtk_widget_set_direction(widget, GTK_TEXT_DIR_LTR);
 
 	return widget;
 }
 
-void scintilla_set_id(ScintillaObject *sci, uptr_t id) {
+/* deprecated, for compatibility */
+GtkWidget *scintilla_new() {
+
+	return scintilla_object_new();
+}
+
+void scintilla_object_set_id(ScintillaObject *sci, uptr_t id) {
 	ScintillaGTK *psci = reinterpret_cast<ScintillaGTK *>(sci->pscin);
 	psci->ctrlID = id;
 }
 
+/* deprecated, for compatibility */
+void scintilla_set_id(ScintillaObject *sci, uptr_t id) {
+
+	scintilla_object_set_id(sci, id);
+}
+
 void scintilla_release_resources(void) {
 	try {
 		Platform_Finalise();
diff -r 1e4cc5e7112a include/ScintillaWidget.h
--- a/include/ScintillaWidget.h	Tue Jul 22 17:51:29 2014 +1000
+++ b/include/ScintillaWidget.h	Mon Jul 28 16:11:37 2014 +0200
@@ -15,29 +15,39 @@
 extern "C" {
 #endif
 
-#define SCINTILLA(obj)          G_TYPE_CHECK_INSTANCE_CAST (obj, scintilla_get_type (), ScintillaObject)
-#define SCINTILLA_CLASS(klass)  G_TYPE_CHECK_CLASS_CAST (klass, scintilla_get_type (), ScintillaClass)
-#define IS_SCINTILLA(obj)       G_TYPE_CHECK_INSTANCE_TYPE (obj, scintilla_get_type ())
+/*
+ * Type macros.
+ */
+#define SCINTILLA_TYPE_OBJECT             (scintilla_object_get_type())
+#define SCINTILLA_OBJECT(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), SCINTILLA_TYPE_OBJECT, ScintillaObject))
+#define SCINTILLA_IS_OBJECT(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SCINTILLA_TYPE_OBJECT))
+#define SCINTILLA_OBJECT_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), SCINTILLA_TYPE_OBJECT, ScintillaObjectClass))
+#define SCINTILLA_IS_OBJECT_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), SCINTILLA_TYPE_OBJECT))
+#define SCINTILLA_OBJECT_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), SCINTILLA_TYPE_OBJECT, ScintillaObjectClass))
 
-typedef struct _ScintillaObject ScintillaObject;
-typedef struct _ScintillaClass  ScintillaClass;
+typedef struct _ScintillaObject          ScintillaObject;
+typedef struct _ScintillaObjectClass     ScintillaObjectClass;
 
 struct _ScintillaObject {
 	GtkContainer cont;
 	void *pscin;
 };
 
-struct _ScintillaClass {
+struct _ScintillaObjectClass {
 	GtkContainerClass parent_class;
 
 	void (* command) (ScintillaObject *ttt);
 	void (* notify) (ScintillaObject *ttt);
 };
 
-GType		scintilla_get_type	(void);
-GtkWidget*	scintilla_new		(void);
-void		scintilla_set_id	(ScintillaObject *sci, uptr_t id);
-sptr_t		scintilla_send_message	(ScintillaObject *sci,unsigned int iMessage, uptr_t wParam, sptr_t lParam);
+
+
+GType		scintilla_object_get_type (void);
+GtkWidget*	scintilla_object_new (void);
+void		scintilla_object_set_id			(ScintillaObject *sci, uptr_t id);
+long		scintilla_object_send_message	(ScintillaObject *sci,unsigned int iMessage,
+											 unsigned long wParam, long lParam);
+
 void		scintilla_release_resources(void);
 
 #define SCINTILLA_NOTIFY "sci-notify"
@@ -46,6 +56,9 @@
 }
 #endif
 
-#endif
+#endif /* GTK */
+
+/* include compat header for now, remove this after deprecation period */
+#include "ScintillaWidgetCompat.h"
 
 #endif
